Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » UML2 » [Eclipse e EA 7.1]->how use eaapi.jar library?
[Eclipse e EA 7.1]->how use eaapi.jar library? [message #477605] Tue, 15 July 2008 16:59 Go to next message
Eclipse UserFriend
Originally posted by: micellifrancesca.gmail.com

Hi everybody!
I'm using Eclipse and Enterprise Architect 7.1 library (eaapi.jar) for a
university project. I must use the api in order to create a new class
diagram, add a new class, attributes and so on.
All samples that I find are in Visual Basic 6.0 or C#...nothing java
samples!!
Please help me! I would need at least a full documentation about the API
of this library!

Thanks very much!
bye
Re: [Eclipse e EA 7.1]->how use eaapi.jar library? [message #477606 is a reply to message #477605] Wed, 16 July 2008 05:20 Go to previous message
Rafael Chaves is currently offline Rafael ChavesFriend
Messages: 362
Registered: July 2009
Senior Member
Eclipse UML2 is an API for creating and manipulating UML 2.1 models, but
it has *nothing* to do with Sparx System Enterprise Architect product,
nor are Eclipse UML2 and EA compatible.

I found it amusing that you asked this question here, but when I found
this thread:

http://forum.java.sun.com/thread.jspa?threadID=5313948

I could see where you were coming from (literally). Unfortunately the
advice you got was incorrect. You are using Eclipse to develop Java
programs, and you need to use EA's Java API in an academic assignment.
This has nothing to do with Eclipse per se, you should ask for help at
Sparx Systems user forums:

http://www.sparxsystems.com/cgi-bin/yabb/YaBB.cgi

Incidentally, if there were no specific requirements for you to create
models that are compatible with EA, you could achieve what you want
using Eclipse UML2 instead, which has the nice bonus of being open
source. If that would be acceptable, take a look at this nice article:

http://www.eclipse.org/modeling/mdt/uml2/docs/articles/Getti ng_Started_with_UML2/article.html

Good luck,

Rafael

fanny wrote:
> Hi everybody!
> I'm using Eclipse and Enterprise Architect 7.1 library (eaapi.jar) for a
> university project. I must use the api in order to create a new class
> diagram, add a new class, attributes and so on.
> All samples that I find are in Visual Basic 6.0 or C#...nothing java
> samples!!
> Please help me! I would need at least a full documentation about the API
> of this library!
>
> Thanks very much!
> bye
>
Re: [Eclipse e EA 7.1]->how use eaapi.jar library? [message #626796 is a reply to message #477605] Wed, 16 July 2008 05:20 Go to previous message
Rafael Chaves is currently offline Rafael ChavesFriend
Messages: 362
Registered: July 2009
Senior Member
Eclipse UML2 is an API for creating and manipulating UML 2.1 models, but
it has *nothing* to do with Sparx System Enterprise Architect product,
nor are Eclipse UML2 and EA compatible.

I found it amusing that you asked this question here, but when I found
this thread:

http://forum.java.sun.com/thread.jspa?threadID=5313948

I could see where you were coming from (literally). Unfortunately the
advice you got was incorrect. You are using Eclipse to develop Java
programs, and you need to use EA's Java API in an academic assignment.
This has nothing to do with Eclipse per se, you should ask for help at
Sparx Systems user forums:

http://www.sparxsystems.com/cgi-bin/yabb/YaBB.cgi

Incidentally, if there were no specific requirements for you to create
models that are compatible with EA, you could achieve what you want
using Eclipse UML2 instead, which has the nice bonus of being open
source. If that would be acceptable, take a look at this nice article:

http://www.eclipse.org/modeling/mdt/uml2/docs/articles/Getti ng_Started_with_UML2/article.html

Good luck,

Rafael

fanny wrote:
> Hi everybody!
> I'm using Eclipse and Enterprise Architect 7.1 library (eaapi.jar) for a
> university project. I must use the api in order to create a new class
> diagram, add a new class, attributes and so on.
> All samples that I find are in Visual Basic 6.0 or C#...nothing java
> samples!!
> Please help me! I would need at least a full documentation about the API
> of this library!
>
> Thanks very much!
> bye
>
Previous Topic:[Eclipse e EA 7.1]->how use eaapi.jar library?
Next Topic:Code assist for uml2 packages doesn't work
Goto Forum:
  


Current Time: Wed Apr 08 09:59:55 GMT 2020

Powered by FUDForum. Page generated in 0.08665 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top